Batch API
Get Batch
Retrieve information about a specific batch job.
GET
Documentation Index
Fetch the complete documentation index at: https://budecosystem-b7b14df4.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Headers
| Parameter | Type | Required | Description |
|---|---|---|---|
| Authorization | string | Yes | Bearer authentication header |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| batch_id | string | Yes | The ID of the batch to retrieve |
Response Fields
| Field | Type | Description |
|---|---|---|
| id | string | Unique batch identifier |
| status | string | Current status: validating, failed, in_progress, finalizing, completed, expired, cancelling, cancelled |
| request_counts | object | Progress tracking with total, completed, and failed counts |
| output_file_id | string | ID of results file (available when completed) |
| error_file_id | string | ID of error file (if any errors occurred) |
Usage
Use this endpoint to monitor batch progress and retrieve output file IDs when processing completes.For complete Batch API documentation including file upload, JSONL format, and usage examples, see Create Batch.